
import __version__
__version__ = __version__.ver

from wxPython.wx   import *
from wxPython.html import *
import wxPython.lib.wxpTag

help_text = """
<hmtl>
<body color="#AC76DE">
<center>
<table bgcolor="#DDDDDD" width="100%%">
  <tr>
    <td align="center"><h2>ZopeEDIT v%s</h2></td>
  </tr>
</table>
<p>ZopeEDIT allows you to edit DTML source from Zope using your favorite
editor.
</p>
</center>
<p><b>Usage</b></p>
<ul>
<li>Click once on folders to open them
<li>Double click on file name to edit
<li>Right Click on file name to view info
<li>SHIFT-Right Click on file name to download
</ul>
<p><b>File Menu</b></p>
<ul>
<li>Open - opens an FTP connection</li>
<li>Close - closes the connection</li>
<li>Exit - exits the program</li>
</ul>
<p><b>Edit Menu</b></p>
<ul>
<li>New - creates a new DTML document in the current folder</li>
<li>Cut - deletes the current doc and saves in paste buffer</li>
<li>Copy - saves the current doc in paste buffer</li>
<li>Paste - adds the doc in the paste buffer to current folder</li>
</ul>

<center>
<p><wxp class="wxButton">
  <param name="label" value="Okay">
  <param name="id"    value="wxID_OK">
</wxp></p>
</center>
</body>
</html>
"""    

class HelpBox(wxDialog):
    def __init__( self, parent ):
	wxDialog.__init__( self, parent, -1, "ZopeEDIT Help", size=wxSize(450,350))
	self.html = wxHtmlWindow( self, -1 )
	self.html.SetPage( help_text % __version__ )
	self.SetAutoLayout( true )
	lc = wxLayoutConstraints()
	lc.top.SameAs( self, wxTop, 5 )
	lc.left.SameAs( self, wxLeft, 5 )
	lc.bottom.SameAs( self, wxBottom, 5 )
	lc.right.SameAs( self, wxRight, 5 )
	self.html.SetConstraints( lc )
	self.Layout()
	self.CenterOnParent(wxBOTH)
