
import __version__
__version__ = __version__.ver

from wxPython.wx   import *
from wxPython.html import *
import wxPython.lib.wxpTag

about_text = """
<hmtl>
<body color="#AC76DE">
<center>
<table bgcolor="#DDDDDD" width="100%%">
  <tr>
    <td align="center"><h2>ZopeEDIT v%s</h2></td>
  </tr>
</table>
<p>ZopeEDIT allows you to edit DTML source from Zope using your favorite
editor.
</p>
<p>(c)2000 Digital Artisans Inc.</p>
<p>The latest source is at: http://www.zope.org/Members/jimbag/ZopeEDIT/</p>
<p>You can reach the author at: jimbag@kw.igs.net</p>
<p><wxp class="wxButton">
  <param name="label" value="Okay">
  <param name="id"    value="wxID_OK">
</wxp></p>
</center>

</body>
</html>
"""    

class AboutBox(wxDialog):
    def __init__( self, parent ):
	wxDialog.__init__( self, parent, -1, "About ZopeEDIT", size=wxSize(450,350))
	self.html = wxHtmlWindow( self, -1 )
	self.html.SetPage( about_text % __version__ )
	self.SetAutoLayout( true )
	lc = wxLayoutConstraints()
	lc.top.SameAs( self, wxTop, 5 )
	lc.left.SameAs( self, wxLeft, 5 )
	lc.bottom.SameAs( self, wxBottom, 5 )
	lc.right.SameAs( self, wxRight, 5 )
	self.html.SetConstraints( lc )
	self.Layout()
	self.CenterOnParent(wxBOTH)
